Package org.postgresql.core.v3.adaptivefetch

# Class AdaptiveFetchCacheEntry

java.lang.Object
org.postgresql.core.v3.adaptivefetch.AdaptiveFetchCacheEntry

public class AdaptiveFetchCacheEntry extends Object

## Constructor Summary

Constructors
Constructor
Description
`AdaptiveFetchCacheEntry()`

## Method Summary

Modifier and Type
Method
Description
`void`
`decrementCounter()`
`int`
`getCounter()`
`int`
`getMaximumRowSizeBytes()`
`int`
`getSize()`
`void`
`incrementCounter()`
`void`
`setCounter(int counter)`
`void`
`setMaximumRowSizeBytes(int maximumRowSizeBytes)`
`void`
`setSize(int size)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AdaptiveFetchCacheEntry

public AdaptiveFetchCacheEntry()

## Method Details

### getSize

public int getSize()

### setSize

public void setSize(int size)

### getCounter

public int getCounter()

### setCounter

public void setCounter(int counter)

### getMaximumRowSizeBytes

public int getMaximumRowSizeBytes()

### setMaximumRowSizeBytes

public void setMaximumRowSizeBytes(int maximumRowSizeBytes)

### incrementCounter

public void incrementCounter()

### decrementCounter

public void decrementCounter()